package com.mosty.yszx.service;

import com.mosty.base.model.dto.yszx.TbYsRyDto;
import com.mosty.base.model.vo.yszx.TbYsRyBqUpdateDto;
import com.mosty.base.model.vo.yszx.TbYsRyDhUpdateDto;
import com.mosty.base.model.vo.yszx.TbYsRyVo;
import io.swagger.annotations.ApiOperation;

public interface TbYsRyService {

    @ApiOperation("查询人员详情")
    TbYsRyVo getRyInfo(String sfzh);

    @ApiOperation("添加人员要素")
    void addRyYs(TbYsRyDto dto);

    @ApiOperation("修改人员要素")
    void updateRyYs(TbYsRyDto dto);

    @ApiOperation("修改人员标签要素")
    void updateRyBqYs(TbYsRyBqUpdateDto dto);

    @ApiOperation("修改人员电话要素")
    void updateRyDhys(TbYsRyDhUpdateDto dto);
}
